Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162310 - 2 * is used uninitialized in this function
Summary: 2 * is used uninitialized in this function
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-02 09:43 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-04 09:47:07 UTC


Attachments (Terms of Use)

Description David Binderman 2005-07-02 09:43:48 UTC
Description of problem:

I just tried to compile package kdebase-3.4.0-5 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

1.

session.c:545: warning: 'cmd' is used uninitialized in this function

The source code is

	LogError( "Received unknown command %d from greeter\n",
		cmd );

I agree with the compiler. Suggest initialise local variable "cmd"
before first use.

2.

clock.cpp:1654: warning: 'showDate' is used uninitialized in this function

The source code is

	bool showDate = showDate || (zone->zoneIndex() != 0);

I agree with the compiler. Suggest initialise local variable "showDate"
before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ngo Than 2005-07-04 09:47:07 UTC
it's now fixed in kdebase-3.4.1-4. Many thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.